Package org.firebirdsql.jaybird.parser

## Enum FirebirdReservedWords

- java.lang.Object
- - java.lang.Enum<FirebirdReservedWords>
  - - org.firebirdsql.jaybird.parser.FirebirdReservedWords

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FirebirdReservedWords>`, `ReservedWords`

    @InternalApi
    public enum FirebirdReservedWords
    extends java.lang.Enum<FirebirdReservedWords>
    implements ReservedWords

All reserved words per Firebird version.

Since:
  5
Author:
  Mark Rotteveel

### Enum Constant Summary

Enum Constants
`FIREBIRD_4_0`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isReservedWord​(java.lang.CharSequence tokenText)` Checks case-insensitively if the supplied token text is a reserved word.
`static FirebirdReservedWords` `latest()` Reserved words for latest known Firebird version.
`static FirebirdReservedWords` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FirebirdReservedWords[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIREBIRD_4_0

    public static final FirebirdReservedWords FIREBIRD_4_0

### Method Detail

#### values

    public static FirebirdReservedWords[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FirebirdReservedWords c : FirebirdReservedWords.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FirebirdReservedWords valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### latest

    public static FirebirdReservedWords latest()

Reserved words for latest known Firebird version.

Returns:
  reserved words for latest known Firebird version

#### isReservedWord

    public boolean isReservedWord​(java.lang.CharSequence tokenText)

Description copied from interface: `ReservedWords`
Checks case-insensitively if the supplied token text is a reserved word.

Specified by:
  `isReservedWord` in interface `ReservedWords`
Parameters:
  `tokenText` - Token text to check
Returns:
  `true` if the token text is a reserved word, `false` otherwise